Bug 1342572 - Failed to run gnocchi-upgrade with swift backedn
Summary: Failed to run gnocchi-upgrade with swift backedn
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-gnocchi
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 14:43 UTC by Yurii Prokulevych
Modified: 2016-08-11 12:23 UTC (History)
4 users (show)

Fixed In Version: openstack-gnocchi-2.1.2-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 12:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1597 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 Release Candidate Advisory 2016-08-11 16:06:52 UTC

Description Yurii Prokulevych 2016-06-03 14:43:22 UTC
Description of problem:
Attempt to create 'legacy' resources for ceilometer failed:

gnocchi-upgrade --debug --create-legacy-resource-types -v
Option "verbose" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
Exception in thread heartbeat:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/threading.py", line 811, in __bootstrap_inner
    self.run()
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/gnocchi/storage/_carbonara.py", line 77, in _heartbeat
    while not self._stop_heartbeat.is_set():
AttributeError: 'SwiftStorage' object has no attribute '_stop_heartbeat'


Version-Release number of selected component (if applicable):
python-gnocchiclient-2.2.0-1.el7ost.noarch
openstack-gnocchi-common-2.1.1-1.el7ost.noarch
openstack-gnocchi-statsd-2.1.1-1.el7ost.noarch
python-gnocchi-2.1.1-1.el7ost.noarch
openstack-gnocchi-metricd-2.1.1-1.el7ost.noarch
openstack-gnocchi-indexer-sqlalchemy-2.1.1-1.el7ost.noarch
openstack-gnocchi-api-2.1.1-1.el7ost.noarch
openstack-gnocchi-carbonara-2.1.1-1.el7ost.noarch

openstack-swift-container-2.6.0-1.el7ost.noarch
python-swiftclient-3.0.0-1.el7ost.noarch
openstack-swift-account-2.6.0-1.el7ost.noarch
openstack-swift-2.6.0-1.el7ost.noarch
openstack-swift-proxy-2.6.0-1.el7ost.noarch
openstack-swift-plugin-swift3-1.10-1.el7ost.noarch
openstack-swift-object-2.6.0-1.el7ost.noarch


Steps to Reproduce:
1. Deploy overcloud
2. Configure gnocchi to use swift backend
3. Run: gnocchi-upgrade --debug --create-legacy-resource-types -v

Comment 4 Yurii Prokulevych 2016-06-17 11:39:23 UTC
Gnocchi configured to use swift backend.
Command """gnocchi-upgrade --debug --create-legacy-resource-types -v""" executed successfully.

Packages:
---------
openstack-gnocchi-common-2.1.3-1.el7ost.noarch
openstack-gnocchi-metricd-2.1.3-1.el7ost.noarch
openstack-gnocchi-carbonara-2.1.3-1.el7ost.noarch
openstack-gnocchi-indexer-sqlalchemy-2.1.3-1.el7ost.noarch
openstack-gnocchi-statsd-2.1.3-1.el7ost.noarch
python-gnocchiclient-2.2.0-1.el7ost.noarch
python-gnocchi-2.1.3-1.el7ost.noarch
openstack-gnocchi-api-2.1.3-1.el7ost.noarch

Comment 6 errata-xmlrpc 2016-08-11 12:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1597.html


Note You need to log in before you can comment on or make changes to this bug.